## wxStringInputStream

This class implements an input stream which reads data from a string. It supports seeking.

Derived from

wxInputStream

Include files

<wx/sstream.h>

Members

wxStringInputStream::wxStringInputStream

### wxStringInputStream::wxStringInputStream

wxStringInputStream(const wxString& s)

Creates a new read-only stream using the specified string. Note that the string is copied by the stream so if the original string is modified after using this constructor, changes to it are not reflected when reading from stream.